StringTrimmerEditor (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.beans.propertyeditors

## Class StringTrimmerEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - org.springframework.beans.propertyeditors.StringTrimmerEditor

- All Implemented Interfaces:
    PropertyEditor

      public class StringTrimmerEditor
      extends PropertyEditorSupport

  Property editor that trims Strings.

  Optionally allows transforming an empty string into a `null` value. Needs to be explicitly registered, e.g. for command binding.

  Author:
    Juergen Hoeller
  See Also:
    `DataBinder.registerCustomEditor(java.lang.Class<?>, java.beans.PropertyEditor)`, `BaseCommandController.initBinder(javax.servlet.http.HttpServletRequest, org.springframework.web.bind.ServletRequestDataBinder)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringTrimmerEditor(boolean emptyAsNull)` Create a new StringTrimmerEditor.
    `StringTrimmerEditor(String charsToDelete, boolean emptyAsNull)` Create a new StringTrimmerEditor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAsText()`
    `void` | `setAsText(String text)`

    - ### Methods inherited from class java.beans.PropertyEditorSupport

      `addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringTrimmerEditor

          public StringTrimmerEditor(boolean emptyAsNull)

      Create a new StringTrimmerEditor.
      Parameters:
        `emptyAsNull` - `true` if an empty String is to be transformed into `null`

    - #### StringTrimmerEditor

          public StringTrimmerEditor(String charsToDelete,
                             boolean emptyAsNull)

      Create a new StringTrimmerEditor.
      Parameters:
        `charsToDelete` - a set of characters to delete, in addition to trimming an input String. Useful for deleting unwanted line breaks: e.g. "\r\n\f" will delete all new lines and line feeds in a String.
        `emptyAsNull` - `true` if an empty String is to be transformed into `null`

  - ### Method Detail

    - #### setAsText

          public void setAsText(String text)

      Specified by:
        `setAsText` in interface `PropertyEditor`
      Overrides:
        `setAsText` in class `PropertyEditorSupport`

    - #### getAsText

          public String getAsText()

      Specified by:
        `getAsText` in interface `PropertyEditor`
      Overrides:
        `getAsText` in class `PropertyEditorSupport`